# render.h

## Data Structures
struct | RENDERQUEUEPTR
## Defines
#define | RCOLOR(r, g, b, a) al_map_rgba(r, g, b, a)
#define | RDEFAULT al_map_rgba(255, 255, 255, 255)
## Typedefs
typedef void(* | RENDER_CALLBACK )(ALLEGRO_BITMAP *, float, float, int, ALLEGRO_COLOR)
## Functions
RENDERQUEUEPTR | get_first_element_from_render_queue (void)
RENDERQUEUEPTR | set_first_element_in_render_queue (RENDERQUEUEPTR *newfirst)
RENDERQUEUEPTR | add_element_to_render_queue (ALLEGRO_BITMAP *image, float x, float y, int nflags, ALLEGRO_COLOR blendcol, RENDER_CALLBACK rcallback)
RENDERQUEUEPTR | remove_element_from_render_queue (RENDERQUEUEPTR *currentptr)
void | render (void)
_Bool | empty_render_queue (RENDERQUEUEPTR rfirstptr)
void | render_mouse_cursor (ALLEGRO_BITMAP *cursor)

## Detailed Description

Routines to queue objects in a list and draw them on screen in the order they arrived in the queue

## Define Documentation

#define RCOLOR | ( | r,
|  | g,
|  | b,
|  | a |  | ) | al_map_rgba(r, g, b, a)

Definition at line 13 of file render.h.

#define RDEFAULT al_map_rgba(255, 255, 255, 255)

Definition at line 14 of file render.h.

## Typedef Documentation

typedef void(* RENDER_CALLBACK)(ALLEGRO_BITMAP *, float, float, int, ALLEGRO_COLOR)

Definition at line 18 of file render.h.

## Function Documentation

RENDERQUEUEPTR add_element_to_render_queue | ( | ALLEGRO_BITMAP * | image,
|  | float | x,
|  | float | y,
|  | int | nflags,
|  | ALLEGRO_COLOR | blendcol,
|  | RENDER_CALLBACK | rcallback |
| ) |  |  |

Definition at line 100 of file render.c.

_Bool empty_render_queue | ( | RENDERQUEUEPTR | rfirstptr | ) |

Definition at line 163 of file render.c.

RENDERQUEUEPTR get_first_element_from_render_queue | ( | void |  | ) |

Definition at line 56 of file render.c.

RENDERQUEUEPTR remove_element_from_render_queue | ( | RENDERQUEUEPTR * | currentptr | ) |

Definition at line 143 of file render.c.

void render | ( | void |  | ) |

Definition at line 75 of file render.c.

void render_mouse_cursor | ( | ALLEGRO_BITMAP * | cursor | ) |

Definition at line 181 of file render.c.

RENDERQUEUEPTR set_first_element_in_render_queue | ( | RENDERQUEUEPTR * | newfirst | ) |

Definition at line 65 of file render.c.